package com.rjconsultores.ventaboletos.enums;

public enum TipoDescontoBPe {
	
	TARIFA_PROMOCIONAL("01","Tarifa promocional"),
	IDOSO("02", "Idoso"),
	CRIANCA("03", "Criança"),
	DEFICIENTE("04", "Deficiente"),
	ESTUDANTE("05", "Estudante"),
	ANIMAL_DOMESTICO("06", "Animal Doméstico"),
	ACORDO_COLETIVO("07", "Acordo Coletivo"),
	PROFISSIONAL_EM_DESLOCAMENTO("08", "Profissional em Deslocamento"),
	PROFISSIONAL_DA_EMPRESA("09", "Profissional da Empresa"),
	JOVEM("10", "Jovem"),
	OUTROS("99", "Outros");
	
	private String valor;
	private String descricao;
	
	private TipoDescontoBPe(String valor, String descricao) {
		this.valor = valor;
		this.descricao = descricao;
	}
	
	public String getValor() {
		return valor;
	}
	public String getDescricao() {
		return descricao;
	}
	
	public static TipoDescontoBPe geTipoDesconto(String valor) {

		for (TipoDescontoBPe desconto : TipoDescontoBPe.values()) {
			if (desconto.getValor().equals(valor)) {
				return desconto;
			}
		}

		return OUTROS;
	}
	
	@Override
	public String toString() {
		return this.descricao;
	}
	
}
